# config.py

import os

BASE_URL = "telegra.ph"
BATCH_SIZE = 200

ROOT_DIR = os.path.dirname(os.path.abspath(__file__))
FILE_PATH = os.path.join(ROOT_DIR, "found_media.txt")
OUTPUT_DIR = os.path.join(ROOT_DIR, "output")

SETTINGS = {
    "search_type": "video",   # "img", "video", "both"
    "min_video_length": 10,   # в секундах
    "max_id": 10,
    "keywords": [],
    "combination_length": 1,  # длина комбинации для перебора по алфавиту
}

SETTINGS_FILE = os.path.join(ROOT_DIR, "settings.json")
